pr_domain_load_rsf DATA3
pr_load DATA3/cream_alldata.rsf

pr_sel_new tree
pr_sel_new hl_sel
pr_sel_new hl_sel2
pr_sel_new nested_sel


pr_filter_edges_by_type All tree {level}


# Sweep-proc for viewers. Displays node name and type.
#---------------------------------------------------------------
proc my_sweep_cb {opt val} {
  set ret ""
  if {$opt=="node"} { 
     pr_gui:attrset_refresh_id .nodes $val 
     set n  [pr_get_node All id $val]
     set nm [pr_node $n attr "name"]
     set tp [pr_node $n type]
     return [join [list $nm $tp] "\n"]
  }  
  if {$opt=="edge"} {
     pr_gui:attrset_refresh_id .nodes $val 
     set e  [pr_get_edge All id $val]
     return [pr_edge $e type]
  }
  return ""
}
