.SUFFIXES:	.o .c .cpp .C .a


RM      = -rm
OBJECTS = $(CC_SRC:.cpp=.o) $(C_SRC:.c=.o)
HEADERS = $(CC_SRC:.cpp=.h) $(C_SRC:.c=.h)


EXTRAFLAGS = -Iinclude -I/usr/X11R6/include -I/usr/include/GL

.cpp.o:	
	$(C++) $(CFLAGS) $(CCFLAGS) $(EXTRAFLAGS) $*.cpp

.c.o:
	$(CC)  $(CFLAGS) $(EXTRAFLAGS) $*.c

#C++ 	     = CC
#CC  	     = cc
#CFLAGS      = -c -mips2 -n32 -O2 -fullwarn -Wl,-woff,15
#CCFLAGS     = -ptused
#MAKELIB     = CC -elf -shared -n32 -all -o 
#LIBS        = -lInventorXt -lInventor -lXm -lXt -ltcl8.3 -ltk8.3 -lX11


C++ 	     = g++
CC  	     = gcc
CFLAGS       = -c -O2 -g
CCFLAGS      =
MAKELIB      =
LIBS	     = -L/usr/X11R6/lib  -lGL -lInventorXt -lInventor -lGLU -lXm -lXext \
	      -lXt -lX11 -lXi -ltcl8.3 -ltk8.3 -ldl -lpthread
