#ifndef PR_GEN_DOMAIN_MODEL
#define PR_GEN_DOMAIN_MODEL

//   GenericDomainModel:	Specialization of DomainModel that uses GenericAttrSetTypes.
//				A GenericAttrSetType can contain any AttrTypes.
//				Basically this is a collection of named, potentially different
//				AttrSetTypes.
//
//


#include "DomainModel.h"


class   GenericAttrSetType;		//This is the specific AttrSetType this uses.


class	GenericDomainModel : public DomainModel
	{
	public:
	
					GenericDomainModel(const char*);	//Ctor (name)
		       		       ~GenericDomainModel();			//Dtor
	void				addNodeType(GenericAttrSetType*);	//Add new AttrSetType to this.
	void				addArcType(GenericAttrSetType*);	//Add new AttrSetType to this.
										//If AttrSetType with same name exists, it is deleted.
        void                            save(FILE*);                            //Impl inh. Save to own format

        private:
	
	};






#endif

