#ifndef PR_TCL_API_H
#define PR_TCL_API_H


#include <tcl.h>


int pr_read_own_format(ClientData,Tcl_Interp*,int,Tcl_Obj* CONST []);

int pr_read_graph_ed(ClientData,Tcl_Interp*,int,Tcl_Obj* CONST []);

int pr_read_rsf(ClientData,Tcl_Interp*,int,Tcl_Obj* CONST []);

int pr_reset(ClientData,Tcl_Interp*,int,Tcl_Obj* CONST []);

int pr_exit(ClientData,Tcl_Interp*,int,Tcl_Obj* CONST []);

int pr_sel_level(ClientData,Tcl_Interp*,int,Tcl_Obj* CONST []);

int pr_sel_delete(ClientData,Tcl_Interp*,int,Tcl_Obj* CONST []);

int pr_lay_dot(ClientData,Tcl_Interp*,int,Tcl_Obj* CONST []);

int pr_lay_neato(ClientData,Tcl_Interp*,int,Tcl_Obj* CONST []);

int pr_lay_level(ClientData,Tcl_Interp*,int,Tcl_Obj* CONST []);

int pr_lay_nested(ClientData,Tcl_Interp*,int,Tcl_Obj* CONST []);

int pr_lay_gem(ClientData,Tcl_Interp*,int,Tcl_Obj* CONST []);

int pr_gem_init(ClientData,Tcl_Interp*,int,Tcl_Obj* CONST []);

int pr_gv_init(ClientData,Tcl_Interp*,int,Tcl_Obj* CONST []);

int pr_view_new(ClientData,Tcl_Interp*,int,Tcl_Obj* CONST []);

int pr_view_del(ClientData,Tcl_Interp*,int,Tcl_Obj* CONST []);

int pr_view_set_node_scale(ClientData,Tcl_Interp*,int,Tcl_Obj* CONST []);

int pr_view_set_glyph_cb(ClientData,Tcl_Interp*,int,Tcl_Obj* CONST []);

int pr_view_set_glyph_cb(ClientData,Tcl_Interp*,int,Tcl_Obj* CONST []);

int pr_view_add_cb(ClientData,Tcl_Interp*,int,Tcl_Obj* CONST []);

int pr_num_views(ClientData,Tcl_Interp*,int,Tcl_Obj* CONST []);

int pr_domain_load_rsf(ClientData,Tcl_Interp*,int,Tcl_Obj* CONST []);

int pr_get_selection(ClientData,Tcl_Interp*,int,Tcl_Obj* CONST []);

int pr_num_selections(ClientData,Tcl_Interp*,int,Tcl_Obj* CONST []);

int pr_selection(ClientData,Tcl_Interp*,int,Tcl_Obj* CONST []);
 
void pr_initialize(Tcl_Interp*);


#endif

