#include "Attr.h"
#include <stdio.h>


char Attr::buf[1024];					//class data member





const char* Attr::getString() const			//return value of this as string
{  
   if (type==STRING) return *((const char**)&data); 	//is this string? If so, return it directly

   switch(type)						//is this something else? If so, print it correspondingly
   {							//into a string-buffer and return that one
       case INT:   sprintf(buf,"%d",*((int*)&data));         break;
       case FLOAT: sprintf(buf,"%f",*((float*)&data));       break;
       case PTR:   sprintf(buf,"%x",*((const void**)&data)); break; 
       case FLOAT_VEC:
       default:    buf[0]='\0';	       
   }

   //REMARK: We assume we can't convert a FLOAT_VEC to a STRING efficiently
   //        That's why we don't treat that case above.

   return buf;
}