

typedef struct {
   vector	pos; /* current position */
   short int	mass; /* mass/weight */
   scalar	heat; /* current temperature */
   vector	imp; /* last impulse */
   short int	dir; /* direction gauge, for detection of rotations */
   short int	degree; /* number of incident edges */
   short int	in; /* used as mark or counter in bfs */
   short int	x, y;	/* scaled coordinates */
   int          idx;    /* index, optionally read from GraphEd file */
}				vertexinfo; /* data mapped to each vertex */

