#include "NestedSelection.h"
#include "GraphManager.h"
#include "SelList.h"
#include "TreeSelection.h"
#include "Node.h"
#include "Edge.h"




NestedSelection::NestedSelection(Graph* g,Selection* inpsel,const char* name)
	      :GenericSelection(g,name)
{  
   Selection::NodeIterator* i;	Node* n;
   for(i=inpsel->iterNodes();(n=i->next());)
      addNode(n);

   for(i=iterNodes();(n=i->next());)
      for(int j=0;j<n->numToHEdges();j++)
      {
	 HEdge* e = n->getToHEdge(j);
	 if (hasNode(e->toNode()))
	    addEdge(e);
      }	
}


