#include "Operation.h"
#include "GraphManager.h"
#include "ObsList.h"

int WriteOperation::level = 0;




void WriteOperation::begin()		//counts how many nested WriteOperation calls we have done so far
{
   level++;
}

void WriteOperation::end()		//when we exit the LAST WriteOperation call, ask GraphManager to
{					//update all Observers that might have changed somehow
   level--;				//because monitoring some Selections that have changed
   if (!level) GraphManager::getInstance()->getObsList()->update();
}

