#ifndef PR_BASIC_OBSERVER_H
#define PR_BASIC_OBSERVER_H

//	BasicObserver:	A concrete Observer that monitors the selected nodes/edges by printing their names on the 
//			standard output. Very basic, good for debugging.
//


#include "Observer.h"

class	BasicObserver : public Observer
	{
	public:

			BasicObserver(const char*, const char*);	
	virtual void	update();			//print Selection on screen
		
	};


inline BasicObserver::BasicObserver(const char* n1,const char* n2): Observer(n1,n2)
{   }


			

#endif
