#ifndef PR_BOTTOM_UP_SELECTION_H
#define PR_BOTTOM_UP_SELECTION_H

//   BottomUpSelection:	A Selection subclass that sorts the nodes and edges 
//			given in the input Selection in level order. The resulting Selection
//			is thus guaranteed to deliver nodes and edges, when iterated upon,
//			in a strictly increasing level order ('bottom-up' thus).
//
//



#include "Selection.h"

class BottomUpSelection 
		  {
		  public:
		  
		  	 	BottomUpSelection(Graph*,Selection* inp,const char* =MAKE_NAME);
		  };

		  
#endif
