#ifndef PR_NESTED_SELECTION_H
#define PR_NESTED_SELECTION_H

//   NestedSelection:	An implementation of Selection that selects, from an input Selection,
//			the descendant nodes. As edges, no vedges are selected. Among the
//			hedges, only those that connect nodes with the same parent are selected.
//			Overall, NestedSelection is usually used as input for NestedLayoutOp.
//


#include "Selection.h"

class NestedSelection : public GenericSelection
		  {
		  public:
		  
		  	 	NestedSelection(Graph*,Selection* inpsel,const char* =MAKE_NAME);
		  };

		  
#endif
