#ifndef PR_UTILS_H
#define PR_UTILS_H

//  This file contains various simple platform-independent utilities.
//
//
//

#include <string.h>



inline STRING addQuotes(const char* s)                  //adds quotes "..." around argument if
{                                                       //argument contains spaces or if argument is empty
   STRING ret;                                          //(used to make argument readable in a Tcl or own-format file)
   int q = (!strlen(s) || strchr(s,' ') || strchr(s,'\t'));
   if (q) ret = "\"";
   ret += s;
   if (q) ret += "\"";
   return ret;
}



#endif

